atmaxplorer.com
PSP for Dummies: 6.37 OFW (and above) for non-hackable PSPs
PSP for Dummies > 6.37 OFW (and above) for non-hackable PSPs You have reached this page because you want to install custom firmware on your non-hackable PSP but have firmware above 6.35. As with…